<%@ page language="java" contentType="text/html; charset=ISO-8859-1"
	pageEncoding="ISO-8859-1"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>
<%@ taglib tagdir="/WEB-INF/tags" prefix="tags"%>
<tags:htmlWrapper title="List customers" style="stylesheet2.css">
	<c:choose>
		<c:when test="${!model.loggedInAdmin}">
		Error: You have to be logged in as admin to list the customers. Go back to 
		<a href="welcome.do">Welcome Page</a>
			<br />
		</c:when>
		<c:otherwise>
			<h1>List of customers</h1>
			<hr/>
			<ul>
				<c:forEach items="${model.allCustomers}" var="customer">
					<li><a href="customerDetails.do?id=${customer.id}">${customer.fullName}</a></li>
				</c:forEach>
			</ul>
		</c:otherwise>
	</c:choose>
</tags:htmlWrapper>
