<%@ page language="java" contentType="text/html; charset=ISO-8859-1"
    pageEncoding="ISO-8859-1"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%@ taglib uri="WEB-INF/tags" prefix="tags" %>
<tags:htmlWrapper title="My Shopping Cart">
<h1>My Shopping Cart</h1>
<c:choose>
	<c:when test="${model.loggedIn}">
		<p align="right">
		<a href="logout.do">Logout</a><br/></p>
		<hr/>
	</c:when>
	<c:otherwise>
		<hr />
		<a href="login.do">Login</a><br/>
		<a href="register.do">Register as a new customer</a><br/>
	</c:otherwise>
</c:choose>
<a href="welcome.do">Welcome Page</a><br/>
<a href="browse.do">Browse the Bookstore</a><br/>
<br/>

<c:choose>
	<c:when test="${not empty model.shoppingCart}">
		<form action="update.do" method="POST">
		<table border="2">
			<tr>
			<th align=left>Title</th>
			<th align=left>Price</th>
			<th align=left>Quantity</th>
			<th></th>
			</tr>
			<c:set var="total" value="0"/>
			<c:forEach items="${model.shoppingCart}" var="order">
			<tr>
				<td>${order.book.title}</td>
				<td>${order.book.price/100.0}</td>
				<c:set var="total" value="${total += order.book.price/100.0 * order.quantity}"/>
				<td align="center">
					<input type="text" name="quantity${order.book.id}" size="2" maxlength="2" 
									value="${order.quantity}"/>
				</td>
				<td>	
					<input type="button" value="delete" 
							onclick="top.location.href='delete_item.do?id=${order.book.id}'"/>
				</td>
			</tr>
			</c:forEach>
			<tr backround="black" height="5"> 
				<td>&nbsp;</td><td>&nbsp;</td><td>&nbsp;</td> 
			</tr>
			<tr> <td>Total:</td><td>&nbsp;</td><td>${total}</td>  </tr>
		</table>
		<br />
		<input type="submit" name="Update" value="Update">
		</form>
		<form action="buy.do" method="POST">
		<input type="submit" name="Buy" value="Buy">
		</form>
	</c:when>
	<c:otherwise>
		Your Shopping Cart is empty! Please look around our Shop and buy some nice 
		book. <br />
		<form method="POST" action="search.do">
			Search for a book: <input type="text" name="book_name">
			<br />
			<input type="submit" value="Search"/>
		</form>		
	</c:otherwise>
</c:choose>
</tags:htmlWrapper>
