<%@ page language="java" contentType="text/html; charset=ISO-8859-1"
	pageEncoding="ISO-8859-1"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>
<%@ taglib tagdir="/WEB-INF/tags" prefix="tags"%>
<tags:htmlWrapper title="Customer details" style="stylesheet2.css">
	<c:choose>
		<c:when test="${!model.loggedInAdmin}">
		Error: You have to be logged in as admin to add books. Go back to 
		<a href="welcome.do">Welcome Page</a>
			<br />
		</c:when>
		<c:otherwise>
			<c:set var="customer" value="${model.selectedCustomer}" />
			<h1>Customer details for <i>${customer.fullName} (#${customer.id})</i></h1>
			<hr />
			<table>
			<tr>
				<td><b>ID:</b></td>
				<td>${customer.id}</td>
			</tr>			
			<tr>
				<td><b>Name:</b></td>
				<td>${customer.fullName}</td>
			</tr>
			<tr>
				<td><b>Email:</b></td>
				<td>${customer.email}</td>
			</tr>
			<tr>
				<td><b>Password:</b></td>
				<td>${customer.password}</td>
			</tr>
			<c:set var="data" value="${customer.address}" />
			<tr>
				<td><b>Address:</b></td>
				<td>${data.street}, ${data.zip} ${data.city}, ${data.country}</td>
			</tr>
			<c:set var="data" value="${customer.cardInformation}" />			
			<tr>
				<td><b>Card Information:</b></td>
				<td>${data.cardType}, No.: ${data.id}, expiration date: ${data.expiration}</td>
			</tr>
			</table>
		</c:otherwise>
	</c:choose>
</tags:htmlWrapper>
