<%@ page language="java" contentType="text/html; charset=ISO-8859-1"
	pageEncoding="ISO-8859-1"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>
<%@ taglib tagdir="/WEB-INF/tags" prefix="tags"%>
<tags:htmlWrapper title="List orders" style="stylesheet2.css">
	<c:choose>
		<c:when test="${!model.loggedInAdmin}">
		Error: You have to be logged in as admin to add books. Go back to 
		<a href="welcome.do">Welcome Page</a>
			<br />
		</c:when>
		<c:otherwise>
			<h1>List of booked orders</h1>
			<hr/>
			<ul>
				<c:forEach items="${model.allOrders}" var="order">
					<li><a href="orderDetails.do?id=${order.id}">#${order.id} - ${order.customer.fullName}</a></li>
				</c:forEach>
			</ul>
		</c:otherwise>
	</c:choose>
</tags:htmlWrapper>
